linux-ti-omap4: 3.2.0-1417.23 -proposed tracker

Bug #1030306 reported by Brad Figg on 2012-07-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Brad Figg
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
Herton R. Krzesinski
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.2.0-1417.23 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Saturday, 28. July 2012 13:30 UTC
kernel-stable-Certification-testing-end:Saturday, 28. July 2012 13:46 UTC
kernel-stable-Prepare-package-end:Tuesday, 31. July 2012 20:16 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 31. July 2012 20:16 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 31. July 2012 21:31 UTC
kernel-stable-Verification-testing-start:Wednesday, 01. August 2012 05:46 UTC
kernel-stable-Security-signoff-start:Friday, 03. August 2012 17:16 UTC
kernel-stable-Verification-testing-end:Friday, 03. August 2012 17:16 UTC
kernel-stable-Regression-testing-start:Friday, 03. August 2012 17:16 UTC
kernel-stable-Security-signoff-end:Friday, 03. August 2012 20:16 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 08. August 2012 19:02 UTC
kernel-stable-Regression-testing-end:Wednesday, 08. August 2012 19:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 10. August 2012 01:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 10. August 2012 01:01 UTC

This tracking bug was opened to be worked from linux-3.2.0-29.46 update (bug 1029507)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-07-28
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-precise.git ti-omap4

summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 3.2.0-1417.23 -proposed tracker
Herton R. Krzesinski (herton) wrote :

ppistati: I reviewed the branch but found two minor issues:

* the changelog has the changes for the rebase listed twice.
* the startnewrelease didn't add the fwinfo file to the abi/<version> directory, the in-tree getabis script should have created it.

Paolo Pisati (p-pisati) wrote :

check it now, should be ok

Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2012-07-31
description: updated
Adam Conrad (adconrad) wrote :

Accepted to -proposed, and overrides cleaned up.

Brad Figg (brad-figg) on 2012-08-01
description: updated
Herton R. Krzesinski (herton) wrote :

No specific ti-omap4 bugs to verify, precise main verified. Releasing for testing.

Brad Figg (brad-figg) on 2012-08-03
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-08-03
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-08-08
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (16.2 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.2.0-1417.23

---------------
linux-ti-omap4 (3.2.0-1417.23) precise-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1030306

  [ Paolo Pisati ]

  * rebased on 3.2.0-29.46

  [ Ubuntu: 3.2.0-29.46 ]

  * No change upload to fix armel/armhf FTBS caused by
    'UBUNTU: [Config] SND_OMAP_SOC, SND_OMAP_SOC_MCBSP and SND_OMAP_SOC_OMAP3_BEAGLE =y'
    Added ignore and ignore.module files to ABI directories.
  * Release Tracking Bug
    - LP: #1029507

  [ Ubuntu: 3.2.0-29.45 ]

  * Release Tracking Bug
    - LP: #1029507
  * SAUCE: rds_ib_send() -- prevent local pings triggering BUG_ON()
    - LP: #1016299
    - CVE-2012-2372
  * Revert "samsung-laptop: make the dmi check less strict"
    - LP: #1029431
  * samsung-laptop: make the dmi check less strict
    - LP: #1029431
  * raid5: delayed stripe fix
    - LP: #1029431
  * tcp: drop SYN+FIN messages
    - LP: #1029431
  * tg3: Apply short DMA frag workaround to 5906
    - LP: #1029431
  * rtl8187: ->brightness_set can not sleep
    - LP: #1029431
  * net/wireless: ipw2x00: add supported cipher suites to wiphy
    initialization
    - LP: #1029431
  * kbuild: do not check for ancient modutils tools
    - LP: #1029431
  * brcmsmac: "INTERMEDIATE but not AMPDU" only when tracing
    - LP: #1029431
  * ext4: Report max_batch_time option correctly
    - LP: #1029431
  * NFSv4: Reduce the footprint of the idmapper
    - LP: #1029431
  * NFSv4: Further reduce the footprint of the idmapper
    - LP: #1029431
  * macvtap: zerocopy: fix offset calculation when building skb
    - LP: #1029431
  * macvtap: zerocopy: fix truesize underestimation
    - LP: #1029431
  * macvtap: zerocopy: put page when fail to get all requested user pages
    - LP: #1029431
  * macvtap: zerocopy: set SKBTX_DEV_ZEROCOPY only when skb is built
    successfully
    - LP: #1029431
  * macvtap: zerocopy: validate vectors before building skb
    - LP: #1029431
  * KVM: Fix buffer overflow in kvm_set_irq()
    - LP: #1029431
  * scsi: Silence unnecessary warnings about ioctl to partition
    - LP: #1029431
  * iommu/amd: Fix missing iommu_shutdown initialization in passthrough
    mode
    - LP: #1029431
  * iommu/amd: Initialize dma_ops for hotplug and sriov devices
    - LP: #1029431
  * usb: Add support for root hub port status CAS
    - LP: #1029431
  * gpiolib: wm8994: Pay attention to the value set when enabling as output
    - LP: #1029431
  * sched/nohz: Rewrite and fix load-avg computation -- again
    - LP: #1029431
  * USB: option: add ZTE MF60
    - LP: #1029431
  * USB: option: Add MEDIATEK product ids
    - LP: #1029431
  * USB: cdc-wdm: fix lockup on error in wdm_read
    - LP: #1029431
  * mtd: nandsim: don't open code a do_div helper
    - LP: #1029431
  * dvb-core: Release semaphore on error path dvb_register_device()
    - LP: #1029431
  * hwspinlock/core: use global ID to register hwspinlocks on multiple
    devices
    - LP: #1029431
  * libsas: fix taskfile corruption in sas_ata_qc_fill_rtf
    - LP: #1029431
  * md/raid1: fix use-after-free bug in RAID1 data-check code.
    - LP: #1029431
  * PCI: EHCI: fix crash during suspend on ASUS computers
    ...

Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers